/
Create a new custom entit...
Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/customEntity/trigger
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/customEntity/trigger
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/customEntity/trigger \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"id": "string",
"entityType": "string",
"type": "string",
"when": [
"string"
],
"criteria": {
"type": "LEAVE_MANAGEMENT_ASSET_CLASS_LOOKUP",
"filters": [
{}
],
"key": "string",
"values": [
"string"
]
},
"action": "string",
"enabled": true,
"createdTime": 0,
"modifiedTime": 0
}'Success
Response
{ "id": "string", "entityType": "string", "type": "string", "when": [ "string" ], "criteria": { "type": "LEAVE_MANAGEMENT_ASSET_CLASS_LOOKUP", "filters": [ … ], "key": "string", "values": [ … ] }, "action": "string", "enabled": true, "createdTime": 0, "modifiedTime": 0 }